activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bruce Snyder <bruce.sny...@gmail.com>
Subject Re: Unable to build ActiveMQ 5.3.0 source - A required class is missing
Date Wed, 14 Apr 2010 13:28:12 GMT
On Wed, Apr 14, 2010 at 6:55 AM, ee7arh <andrew.hurst@2e-systems.com> wrote:
>
> Hello,
>
> I have tried for a quite a while to get ActiveMQ 5.3 to build using Maven
> but always run into the following problem even though I have installed the
> patch as suggested in a previous post:
>
> http://svn.apache.org/viewvc?view=revision&revision=881433 Link to the POM
> patch
>
> http://old.nabble.com/BUILD-Error-%28Unable-to-find-the-mojo%29-ActiveMQ-5.3.0-ts26876104.html#a26876104
> Older post with similar problem
>
> I am building the project on a Mac OS x system which uses java:
>
> java version "1.6.0_17"
> Java(TM) SE Runtime Environment (build 1.6.0_17-b04-248-10M3025)
> Java HotSpot(TM) 64-Bit Server VM (build 14.3-b01-101, mixed mode)
>
>
> However I am not sure that this is related.
>
> I run following command:
>
> mvn clean install -Dmaven.test.skip=true
>
> but the build fails with the following report when compiling XMPP.
>
> I need to compile ActiveMQ 5.3 since I need a patch which will not be
> available until 5.4

See the following page about building ActiveMQ:

http://activemq.apache.org/building.html

Bruce
-- 
perl -e 'print unpack("u30","D0G)U8V4\@4VYY9&5R\"F)R=6-E+G-N>61E<D\!G;6%I;\"YC;VT*"
);'

ActiveMQ in Action: http://bit.ly/2je6cQ
Blog: http://bruceblog.org/
Twitter: http://twitter.com/brucesnyder

Mime
View raw message